org.deidentifier.arx.gui.model

## Class ModelViewConfig

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelViewConfig

All Implemented Interfaces:
  java.io.Serializable

    public class ModelViewConfig
    extends java.lang.Object
    implements java.io.Serializable

This class models the current view configuration.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ModelViewConfig.Mode` Mode.

### Constructor Summary

Constructors
Constructor and Description
`ModelViewConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAttribute()` Returns the attribute.
`ModelViewConfig.Mode` `getMode()` Returns the mode.
`boolean` `getSortOrder()` Returns the sort order.
`boolean` `isChanged()` Returns whether the config has changed, and resets the flag to unmodified.
`boolean` `isSubset()` Returns whether we show the subset only.
`void` `setAttribute(java.lang.String attribute)` Sets the attribute.
`void` `setMode(ModelViewConfig.Mode mode)` Sets the mode.
`void` `setSortOrder(boolean order)` Sets the sort order.
`void` `setSubset(boolean subset)` Sets whether we show the subset only.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelViewConfig

    public ModelViewConfig()

### Method Detail

#### getAttribute

    public java.lang.String getAttribute()

Returns the attribute.

Returns:

#### getMode

    public ModelViewConfig.Mode getMode()

Returns the mode.

Returns:

#### getSortOrder

    public boolean getSortOrder()

Returns the sort order.

Returns:

#### isChanged

    public boolean isChanged()

Returns whether the config has changed, and resets the flag to unmodified.

Returns:

#### isSubset

    public boolean isSubset()

Returns whether we show the subset only.

Returns:

#### setAttribute

    public void setAttribute(java.lang.String attribute)

Sets the attribute.

Parameters:
  `attribute` -

#### setMode

    public void setMode(ModelViewConfig.Mode mode)

Sets the mode.

Parameters:
  `mode` -

#### setSortOrder

    public void setSortOrder(boolean order)

Sets the sort order.

Parameters:
  `order` -

#### setSubset

    public void setSubset(boolean subset)

Sets whether we show the subset only.

Parameters:
  `subset` -